Page MenuHomePhabricator

hg-core: simplify `list_tracked_files` operation
ClosedPublic

Authored by acezar on Sep 11 2020, 3:53 AM.

Details

Summary

Use directly ListDirstateTrackedFiles rather than having an operation builder.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Sep 11 2020, 3:53 AM
Alphare accepted this revision.Sep 17 2020, 6:14 AM
Alphare added a subscriber: Alphare.

Good stuff, thanks for removing the cruft I introduced. :D

acezar updated this revision to Diff 22724.Sep 18 2020, 10:49 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.